<div class="header bg pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body"></div>
  </div>
</div>
<!-- Page content -->
<div class="container-fluid mt--7">
  <!-- Table -->
  <div class="row">
    <div class="col">
      <div class="card shadow" style="padding: 20px;">
        <div class="card-header border-0"></div>
        <div class="card-body">
        <div class="row">
          <div class="col">
            <h5>Informations</h5>
            Nom : {{ data.nom }} <br />
            Prenom : {{ data.prenom }} <br />
            Age :{{ data.age }} <br />
            CIN: {{ data.cin }} <br />
            TeL :{{ data.tel }} <br />
            Email :{{ data.Email }} <br />
            <br />
            <h5>Coordonnées</h5>
            Ville:{{ data.ville }} <br />
            adresse: {{ data.adresse }} <br />
            Code postale :{{ data.codepostal }} <br />
            <br />
          </div>
          <div class="col">
            <h5>Produit</h5>
            <br />
            Nom de produit : {{ data.produitName }} <br />
            Detail : {{ data.decriptionProduit }} <br />
            Etat : {{ data.etat }} <br />
            message:{{ data.message }} <br />
            <br />
           
            <img
              src="{{ 'https://sharek-it-back.herokuapp.com/' + data.ImageProduct }}"
              class="rounded-top"
              style="width: 150px;"
            />
            <br />
          </div>
        </div>
        <br>
        <div class="card" style="width: 100%;padding : 15px">
            <h2 s>Bénéficié : {{profit.nom}} {{profit.prenom}}</h2>
       
            <div class="card-body">
                <mat-accordion>

                    <mat-expansion-panel (opened)="panelOpenState = true"
                                         (closed)="panelOpenState = false">
                      <mat-expansion-panel-header>
                        <mat-panel-title>
                        Match

                    </mat-panel-title>
                        <mat-panel-description>
                          Choisir la demande
                             </mat-panel-description>
                      </mat-expansion-panel-header>
                      <ng2-smart-table [settings]="settings" [source]="demands" (userRowSelect)="funct($event)" ></ng2-smart-table>
                    </mat-expansion-panel>
                  </mat-accordion>
             
            </div>
          </div>
       
        </div>
        
      

        <div class="card-footer py-4">
          <form (ngSubmit)="match()" >
            
            
            <mat-form-field appearance="fill">
            <mat-label >Code Logistique</mat-label>
            <input required name="title"  matInput [(ngModel)]="matcher.code_logistique">
          </mat-form-field>
          <button mat-flat-button color="primary"type="submit"   [disabled]="test || matcher.code_logistique == null " style="float: right;" class="btn btn-success">Match</button>
  
       
        </form>


        </div>
      </div>
    </div>
  </div>
</div>
